Pemberitahuan Pengendali
GET https://0o0.online/api/notification-handlers/
curl --request GET \
--url 'https://0o0.online/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Detail | Deskripsi |
|---|---|---|
| search | Opsi String | Rangkaian pencarian . |
| search_by | Opsi String | Apa bidang yang Anda cari. nilai-nilai yang diizinkan adalah: name. |
| is_enabled | Opsi Boolean | |
| type | Opsi String | Apa bidang yang Anda cari. nilai-nilai yang diizinkan adalah: . |
| datetime_field | Opsi String | Nilai yang diperbolehkan: datetime, last_datetime |
| datetime_start | Opsi String | Filter hasil yang dimulai dari tanggal ini. Y-m-d H:i:s format yang |
| datetime_end | Opsi String | Filter hasil sampai tanggal ini. Y-m-d H:i:s format yang |
| order_by | Opsi String | Apa bidang untuk mengatur hasil oleh. nilai yang diizinkan adalah: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opsi String | Perintah hasil. nilai-nilai yang diizinkan adalah: ASC untuk menaikkan pesanan, dan DESC untuk turun pesanan. |
| search | Opsi String | Rangkaian pencarian . |
| search_by | Opsi String | Apa bidang yang Anda cari. nilai-nilai yang diizinkan adalah: name. |
| is_enabled | Opsi Boolean | |
| type | Opsi String | Apa bidang yang Anda cari. nilai-nilai yang diizinkan adalah: . |
| datetime_field | Opsi String | Nilai yang diperbolehkan: datetime, last_datetime |
| datetime_start | Opsi String | Filter hasil yang dimulai dari tanggal ini. Y-m-d H:i:s format yang |
| datetime_end | Opsi String | Filter hasil sampai tanggal ini. Y-m-d H:i:s format yang |
| order_by | Opsi String | Apa bidang untuk mengatur hasil oleh. nilai yang diizinkan adalah: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opsi String | Perintah hasil. nilai-nilai yang diizinkan adalah: ASC untuk menaikkan pesanan, dan DESC untuk turun pesanan. |
| page | Opsi Integrasi | Nomor halaman yang ingin Anda hasil dari. kekurangan untuk 1. |
| results_per_page | Opsi Integrasi | Berapa banyak hasil yang Anda inginkan per halaman. nilai-nilai yang diizinkan adalah: 10, 25, 50, 100, 250, 500, 1000. Kegagalan untuk 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 01:39:49",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/notification-handlers?page=1",
"last": "https://0o0.online/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/notification-handlers?page=1"
}
}
GET https://0o0.online/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 01:39:49",
}
}
POST https://0o0.online/api/notification-handlers
| Parameter | Detail | Deskripsi |
|---|---|---|
| name | Wajib String | - |
| type | Wajib String | Nilai yang diperbolehkan: |
curl --request POST \
--url 'https://0o0.online/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://0o0.online/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/notification-handlers/{notification_handler_id}
| Parameter | Detail | Deskripsi |
|---|---|---|
| name | Opsi String | - |
| type | Opsi String | Nilai yang diperbolehkan: |
| is_enabled | Opsi Boolean | - |
curl --request POST \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \